Bug 465751 - (CVE-2008-4359) CVE-2008-4359 lighttpd: bypass of rewrite/redirect rules using encoded urls
CVE-2008-4359 lighttpd: bypass of rewrite/redirect rules using encoded urls
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20080930,...
: Security
Depends On: 464638 464639 464640 464641 465754
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-06 04:44 EDT by Tomas Hoger
Modified: 2009-04-09 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 13:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-06 04:44:20 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4359 to the following vulnerability:

lighttpd before 1.4.20 compares URIs to patterns in the (1) url.redirect and
(2) url.rewrite configuration settings before performing URL decoding, which
might allow remote attackers to bypass intended access restrictions, and obtain
sensitive information or possibly modify data.

Affected versions:
all versions before 1.4.20 (1.5 before r2310)

Upstream advisory:
http://www.lighttpd.net/security/lighttpd_sa_2008_05.txt

Upstream bug report:
http://trac.lighttpd.net/trac/ticket/1720

Upstream patches (1.4.x):
http://www.lighttpd.net/security/lighttpd-1.4.x_rewrite_redirect_decode_url.patch
http://trac.lighttpd.net/trac/changeset/2278 (rewrite)
http://trac.lighttpd.net/trac/changeset/2309 (redirect)

References:
http://openwall.com/lists/oss-security/2008/09/30/1
Comment 1 Tomas Hoger 2008-10-06 05:04:39 EDT
Rawhide version lighttpd-1.4.20-0.1.r2303.fc10 contains mod_rewrite part of the fix, but is missing mod_redirect part.
Comment 3 Fedora Update System 2008-12-26 09:15:47 EST
lighttpd-1.4.20-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lighttpd-1.4.20-6.fc9
Comment 4 Fedora Update System 2008-12-26 09:17:02 EST
lighttpd-1.4.20-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/lighttpd-1.4.20-6.fc8
Comment 5 Matthias Saou 2009-04-09 13:45:46 EDT
Forgot to close this report. Closing now, as 1.4.22 is being pushed to F-9+.

Note You need to log in before you can comment on or make changes to this bug.